<?php

namespace App\Generated\Controllers\V1;

use App\Http\Services\V1\DeedFriendService;
use App\Generated\V1\Messages\DeedFriend\HideFriendMessage;
use App\Http\Controllers\Controller;
use App\Generated\V1\Messages\DeedFriend\StarFriendMessage;
use DB;

class DeedFriendController extends Controller
{
    public $handler;

    public function __construct(DeedFriendService $handler)
    {
        $this->handler = $handler;
    }

    public function starFriend(StarFriendMessage $message)
    {
        $message->validateInput();
        $this->handler->starFriend($message);
        $message->validateOutput();
        return $message->getResponse();
    }

    public function hideFriend(HideFriendMessage $message)
    {
        $message->validateInput();
        $this->handler->hideFriend($message);
        $message->validateOutput();
        return $message->getResponse();
    }

}
